### Method

# ECal ComponentAlarms get_component

since: 3.34

#### Declaration [src]

    _ECalComponent*
    e_cal_component_alarms_get_component (
      const ECalComponentAlarms* alarms
    )

#### Description [src]

The returned component is valid until the `alarms` is freed.

Available since: 3.34

#### Return value

Type: `ECalComponent`

An `ECalComponent` associated with the `alarms` structure, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.